#ifndef _SETJMP_H_
#define _SETJMP_H_

#include <sys/setjmp.h>
#include <sys/cdefs.h>

__BEGIN_DECLS

typedef long sigjmp_buf[_JBLEN];
typedef long jmp_buf[_JBLEN];

int	setjmp(jmp_buf);
void	longjmp(jmp_buf, int);

int	sigsetjmp(sigjmp_buf, int);
void	siglongjmp(sigjmp_buf, int);

void	longjmperror(void);

__END_DECLS

#endif

